SND_RAWMIDI_TRANSM(9)

NAME
snd_rawmidi_transmit - copy from the buffer to the device

SYNOPSIS

int snd_rawmidi_transmit (struct snd_rawmidi_substream * substream, unsigned char * buffer, int count);

ARGUMENTS

substream
    the rawmidi substream

buffer
    the buffer pointer

count
    the data size to transfer

DESCRIPTION

Copies data from the buffer to the device and advances the pointer.

Returns the copied size if successful, or a negative error code on failure.